[honister][PATCH 02/22] oe-pkgdata-util: Adapt to the new variable override syntax


Anuj Mittal
 

From: Peter Kjellerstedt <peter.kjellerstedt@...>

Signed-off-by: Peter Kjellerstedt <peter.kjellerstedt@...>
Signed-off-by: Richard Purdie <richard.purdie@...>
(cherry picked from commit 2bf6a0ca9fdf639418646700b20b65c9960efdbe)
Signed-off-by: Anuj Mittal <anuj.mittal@...>
---
scripts/oe-pkgdata-util | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/scripts/oe-pkgdata-util b/scripts/oe-pkgdata-util
index 71656dadce..7412cc1f47 100755
--- a/scripts/oe-pkgdata-util
+++ b/scripts/oe-pkgdata-util
@@ -296,7 +296,7 @@ def package_info(args):
extra = ''
for line in f:
for var in vars:
- m = re.match(var + '(?:_\S+)?:\s*(.+?)\s*$', line)
+ m = re.match(var + '(?::\S+)?:\s*(.+?)\s*$', line)
if m:
vals[var] = m.group(1)
pkg_version = vals['PKGV'] or ''
--
2.35.1

Join openembedded-core@lists.openembedded.org to automatically receive all group messages.